summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsrc/password-store.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index d0a8ab8..b2e2d0c 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -120,6 +120,7 @@ tmpdir() {
}
GETOPT="getopt"
+SHRED="shred -f -z"
# source /path/to/platform-defined-functions
#
@@ -288,7 +289,7 @@ case "$command" in
passfile="$PREFIX/$path.gpg"
template="$program.XXXXXXXXXXXXX"
- trap 'rm -rf "$tmp_dir" "$tmp_file"' INT TERM EXIT
+ trap '$SHRED "$tmp_file"; rm -rf "$tmp_dir" "$tmp_file"' INT TERM EXIT
tmpdir #Defines $tmp_dir
tmp_file="$(TMPDIR="$tmp_dir" mktemp -t "$template")"
ss='insertions'>+1 2008-06-10Allowed default for session; load 'app-portage/portato' as default for select...René 'Necoro' Neumann2-10/+18 2008-06-09Fixed 'kill' in the systray popupRené 'Necoro' Neumann1-2/+2 2008-06-09Fixed error messageRené 'Necoro' Neumann2-4/+1 2008-06-08Make blocks way more intelligentRené 'Necoro' Neumann3-45/+107